# Uses of Class
org.apache.sysds.parser.dml.CustomErrorListener.ParseIssue

Packages that use CustomErrorListener.ParseIssue
Package
Description
org.apache.sysds.parser
org.apache.sysds.parser.dml

## Uses of CustomErrorListener.ParseIssue in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return types with arguments of type CustomErrorListener.ParseIssue
Modifier and Type
Method
Description
`List<CustomErrorListener.ParseIssue>`
ParseException.`getParseIssues()`
Obtain the list of parse issues that occurred.
`List<CustomErrorListener.ParseIssue>`
ParserWrapper.`getParseIssues()`
Method parameters in org.apache.sysds.parser with type arguments of type CustomErrorListener.ParseIssue
Modifier and Type
Method
Description
`void`
ParseException.`setParseIssues(List<CustomErrorListener.ParseIssue> parseIssues)`
Set the list of parse issues.
Constructor parameters in org.apache.sysds.parser with type arguments of type CustomErrorListener.ParseIssue
Modifier
Constructor
Description
``
`ParseException(List<CustomErrorListener.ParseIssue> parseIssues, String scriptString)`
This constructor takes a list of parse issues that were generated during script parsing and the original DML/PyDML script String.

## Uses of CustomErrorListener.ParseIssue in org.apache.sysds.parser.dml

Methods in org.apache.sysds.parser.dml that return types with arguments of type CustomErrorListener.ParseIssue
Modifier and Type
Method
Description
`List<CustomErrorListener.ParseIssue>`
CustomErrorListener.`getParseIssues()`
Obtain the list of parse issues.
Methods in org.apache.sysds.parser.dml with parameters of type CustomErrorListener.ParseIssue
Modifier and Type
Method
Description
`int`
CustomErrorListener.ParseIssue.`compareTo(CustomErrorListener.ParseIssue that)`
Order by parse issues primarily by line number, and secondarily by character position.
Method parameters in org.apache.sysds.parser.dml with type arguments of type CustomErrorListener.ParseIssue
Modifier and Type
Method
Description
`static String`
CustomErrorListener.`generateParseIssuesMessage(String scriptString, List<CustomErrorListener.ParseIssue> parseIssues)`
Generate a message displaying information about the parse issues that occurred.
`void`
CustomErrorListener.`setParseIssues(List<CustomErrorListener.ParseIssue> parseIssues)`
Set the list of parse issues.